import Vue from 'vue'
import Router from 'vue-router'
import Login from '@/components/Login'
import StudentPage from '@/components/student/StudentPage'
import ReviewerPage from '@/components/reviewer/ReviewerPage'
import StudentListOverview from '@/components/reviewer/StudentListOverview'
import BaseLayout from '@/components/BaseLayout'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'grady-login',
      component: Login
    },
    {
      path: '/student/',
      name: 'student-page',
      component: StudentPage
    },
    {
      path: '/reviewer/',
      name: 'reviewer-page',
      component: ReviewerPage
    },
    {
      path: 'reviewer/student-overview/',
      name: 'student-overview',
      component: StudentListOverview
    },
    {
      path: '/base/',
      name: 'base-layout',
      component: BaseLayout
    }
  ]
})
